Skip to main content
GET
/
v1
/
notification
/
inbox
/
notifications
Get all notifications
curl --request GET \
  --url https://api.orderly.org/v1/notification/inbox/notifications \
  --header 'orderly-account-id: <orderly-account-id>' \
  --header 'orderly-key: <orderly-key>' \
  --header 'orderly-signature: <orderly-signature>' \
  --header 'orderly-timestamp: <orderly-timestamp>'
{
  "success": true,
  "data": {
    "rows": [
      {
        "id": 12345,
        "message_type": "ORDER_FILLED",
        "email": "test@orderly.network",
        "application_id": "0x0f29bfb4c1bc9fea3f3be46bab6d795e22a6272354b136fde05f6b80cfcad546",
        "title": " Your order has been filled",
        "type": "TRADE",
        "level": "GENERAL",
        "content_summary": "Your order to buy 1 NEAR-PERP has been filled: 0.5/1 at 1.9876.",
        "content": "<p>Your order to buy 1 NEAR-PERP has been filled: 0.5/1 at 1.9876.</p>",
        "mark_read": 1,
        "operator": 1,
        "created_time": 1670425970373,
        "announcement_id": 123
      }
    ],
    "meta": {
      "total": 9,
      "records_per_page": 25,
      "current_page": 1
    }
  },
  "timestamp": 1702989203989
}

Headers

orderly-timestamp
string
required

Timestamp of the signed request in milliseconds.

orderly-account-id
string
required

Account ID of the authenticated account.

orderly-key
string
required

Public orderly key used to sign the request.

orderly-signature
string
required

Signature of the request payload generated with the orderly key.

Query Parameters

type
string

Filter notifications by type: TRADE or SYSTEM.

page
number

start from 1

size
number

Number of notifications to return per page.

Response

200 - application/json

OK

success
boolean
required

Indicates whether the request was successful.

Example:

true

data
object
required
timestamp
integer

Server timestamp in milliseconds.

Example:

1702989203989